Mailinglist Archive: opensuse-factory (339 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20201023 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Sat, 24 Oct 2020 16:00:20 +0000
  • Message-id: <160355522009.29215.5857895286172163231@go-agent-stagingbot-3>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20201023

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
filesystem
freetype2 (2.10.2 -> 2.10.4)
gdm
ghostscript (9.52 -> 9.53.3)
git (2.28.0 -> 2.29.0)
ibus-libpinyin (1.11.93 -> 1.11.94)
issue-generator (1.10 -> 1.12)
iw (5.4 -> 5.9)
libpinyin (2.4.91 -> 2.4.92)
patterns-base
plasma5-thunderbolt (5.20.0 -> 5.20.1)
python-matplotlib
python-passlib
sssd (2.3.1 -> 2.4.0)
system-tuning-common-SUSE
vm-install (0.10.08 -> 0.10.10)
whois (5.5.6 -> 5.5.7)
yast2 (4.3.37 -> 4.3.38)
yast2-firstboot (4.3.6 -> 4.3.7)
yast2-network (4.3.26 -> 4.3.27)

=== Details ===

==== filesystem ====

- Add /usr/etc/skel (boo#1173321)
- Move additional /etc/skel directories to /usr/etc/skel

==== freetype2 ====
Version update (2.10.2 -> 2.10.4)
Subpackages: freetype2-devel libfreetype6 libfreetype6-32bit

- Update to version 2.10.4
* Fix a heap buffer overflow has been found in the handling of embedded
PNG bitmaps, introduced in FreeType version 2.6 (CVE-2020-15999 bsc#1177914)
* Minor improvements to the B/W rasterizer.
* Auto-hinter support for Medefaidrin script.
* Fix various memory leaks (mainly for CFF) and other issues that
might cause crashes in rare circumstances.

==== gdm ====
Subpackages: gdm-lang gdmflexiserver libgdm1 typelib-1_0-Gdm-1_0

- Update gdm-suse-xsession.patch: Handle the fact that xdm moved
its files from /etc to /usr/etc (boo#1177918).

==== ghostscript ====
Version update (9.52 -> 9.53.3)
Subpackages: ghostscript-x11

- 41ef9a0bc36b9db7115fbe9623f989bfb47bbade.patch
fixes compilation with FreeType 2.10.3+

http://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=41ef9a0bc36b9db7115fbe9623f989bfb47bbade
c.f. https://bugs.ghostscript.com/show_bug.cgi?id=702985
- Version upgrade to 9.53.3
Highlights in this release include
(excerpts from the Ghostscript upstream release summary
in https://www.ghostscript.com/doc/9.53.3/News.htm):
* The 9.53.3 release is primarily maintenance.
* Issues arose with 9.53.0/1/2 that prompted the release
of a .3 patch:
A crash related to management of ICC profile objects.
A parameter type mismatch that would cause Ghostscript
to error out during initialisation, which
affected 64 big, big endian architectures.
An unexpected side effect of another change that prevented
multithreaded rendering and background rendering
from working correctly.
* The most obvious change is the (re-)introduction of the
patch level to the version number, this helps facilitate
a revised policy on handling security related issues.
To clarify: in the event we decide to release a patch revision,
it will replace the release with the previous patch number.
Release notes, highlights and warnings will remain the same,
except for the addition of whatever fix(es) prompted the patch.
* Our efforts in code hygiene and maintainability continue.
* We have added Python bindings for the gsapi interface, can be
found in demos/python. These are experimental, and we welcome
feedback from interested developers.
* For those integrating Ghostscript/GhostPDL via the gsapi
interface, we have added new capabilities to that, specifically
in terms of setting and interrogating device parameters. These,
along with the existing interface calls, are documented in:
Ghostscript Interpreter API at
https://www.ghostscript.com/doc/9.53.3/API.htm
* The usual round of bug fixes, compatibility changes,
and incremental improvements.
* For a list of open issues, or to report problems, please visit
bugs.ghostscript.com
Incompatible changes:
* As of 9.53.0, we have (re-)introduced the patch level to the
version number, this helps facilitate a revised policy
on handling security related issues.
Note for GSView Users: The patch level addition breaks
GSView 5 (it is hardcoded to check for versions 704-999).
It is possible, but not guaranteed that a GSView update might
be forthcoming to resolve this.
For a release summary see:
https://www.ghostscript.com/doc/9.53.3/News.htm
For details see the News.htm and History9.htm files.
- CVE-2020-15900.patch is no longer needed
because it is fixed in the upstream sources.
- Ghostscript 9.53.3 fixes in particular txtwrite memory issues
(boo#1177922).

==== git ====
Version update (2.28.0 -> 2.29.0)
Subpackages: git-core git-cvs git-daemon git-email git-gui git-svn git-web gitk

- git 2.29.0:
* The transport protocol v2 has become the default again
* "git worktree" gained a "repair" subcommand, "git init
- -separate-git-dir" no longer corrupts administrative data
related to linked worktrees
* "git maintenance" introduced for repository maintenance tasks
* enhancements to multiple workflows, addition of configuration
options and supported parameters, and bug fixes

==== ibus-libpinyin ====
Version update (1.11.93 -> 1.11.94)

- Update version to 1.11.94
* support cloud input
* bug fixes

==== issue-generator ====
Version update (1.10 -> 1.12)

- Update to version 1.12
- Update manual page
- Use python3 instead of python 2.x
- Update to version 1.11
- Don't display issue.d/*.issue files, agetty will do that [bsc#1177891]
- Ignore /run/issue.d in issue-generator.path, else issue-generator will
be called too fast too often [bsc#1177865]
- Ignore *.bak, *~ and *.rpm* files [bsc#1118862]

==== iw ====
Version update (5.4 -> 5.9)

- Update to version 5.9:
* iw: support HE rate configuration in 6 GHz band Rajkumar Manoharan
1 -2/+38
* iw: add HE rate/gi/ltf support Miles Hu 1 -15/+163
* iw: update nl80211.h Johannes Berg 1 -22/+174
* iw: add TID specific Tx bitrate configuration Tamizh Chelvam 3
-8/+58
* iw: fix tid config help entries

==== libpinyin ====
Version update (2.4.91 -> 2.4.92)
Subpackages: libpinyin-data libpinyin13 libzhuyin13

- Update version to 2.4.92
* update pinyin data
* bug fixes

==== patterns-base ====
Subpackages: patterns-base-apparmor patterns-base-base patterns-base-basesystem
patterns-base-basic_desktop patterns-base-console patterns-base-documentation
patterns-base-enhanced_base patterns-base-minimal_base
patterns-base-sw_management patterns-base-transactional_base patterns-base-x11
patterns-base-x11_enhanced

- Have pattern enhanced_base recommend documentation:
patterns-base-documentation in turn recommends man-pages (man cp)
and pam-doc (boo#1177828).

==== plasma5-thunderbolt ====
Version update (5.20.0 -> 5.20.1)
Subpackages: plasma5-thunderbolt-lang

- Update to 5.20.1
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.20.1
- No code changes since 5.20.0

==== python-matplotlib ====
Subpackages: python3-matplotlib python3-matplotlib-cairo python3-matplotlib-gtk3

- Copy updated transparent_markers.pdf from upstream commit
https://github.com/matplotlib/matplotlib/pull/18604 to fix
test failure Ghostscript 9.53

==== python-passlib ====

- Add optional dependencies: bcrypt, argon2_cffi, cryptography
and scrypt.

==== sssd ====
Version update (2.3.1 -> 2.4.0)
Subpackages: libsss_certmap0 libsss_idmap0 libsss_nss_idmap0 sssd-32bit
sssd-krb5-common sssd-ldap

- Update to release 2.4.0
* Session recording can now exclude specific users or groups
when scope is set to all (see exclude_users and
exclude_groups options).
* Active Directory provider now sends CLDAP pings over UDP
protocol to Domain Controllers in parallel to determine site
and forest to speed up server discovery.

==== system-tuning-common-SUSE ====

- Remove mq-deadline selection from 60-io-scheduler.rules (bsc#1177490)

==== vm-install ====
Version update (0.10.08 -> 0.10.10)

- jsc#SLE-11981 - Dev: vm-install: sync SLE and openSUSE Leap
differences
Modify the PV PXE booting feature to only allow a pxe server
address passed on command line. The use of udhcp to lookup a pxe
server is removed.
- Drop vm-install-extra-args.patch by folding fix into new tarball
- Version 0.10.10

==== whois ====
Version update (5.5.6 -> 5.5.7)

- update to 5.5.7:
* Implemented support for CIDR queries to whois.arin.net.
The old behaviour caused the server to return no results, now when
querying for ip/length the server returns a result if there is an
exact match.

==== yast2 ====
Version update (4.3.37 -> 4.3.38)
Subpackages: yast2-logs

- Added support for nested items in CWM::Table (bsc#1176402)
- 4.3.38

==== yast2-firstboot ====
Version update (4.3.6 -> 4.3.7)

- Adapt to changes done in ntp-client (bsc#1177797)
- 4.3.7

==== yast2-network ====
Version update (4.3.26 -> 4.3.27)

- fix crash when hostname file missing (bsc#1177904)
- 4.3.27


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages